<?php  
    $wp_customize->add_section(
        'featuredproducts_area',
        array(
            'title' => __( 'Pricing Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'featured_products_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'featured_products_area_disable',
            array(
                'settings'      => 'featured_products_area_disable',
                'section'       => 'featuredproducts_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 


backgroundManager($wp_customize, 'featuredproducts', 'featuredproducts_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'featuredproductsarea_padding', 'featuredproducts_area', 'Section Padding');

$wp_customize->add_setting(
    'featureproductsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featureproductsection_toppadding',
    array(
        'settings'      => 'featureproductsection_toppadding',
        'section'       => 'featuredproducts_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'featureproductsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featureproductsection_bottompadding',
    array(
        'settings'      => 'featureproductsection_bottompadding',
        'section'       => 'featuredproducts_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'fproduct_conwidth', 'featuredproducts_area', 'Section Width ');

$wp_customize->add_setting('feaproduct_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'feaproduct_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'featuredproducts_area', // Replace with your actual section ID
    'settings' => 'feaproduct_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );

lzCustomLable($wp_customize, 'feaproduct_subheadingcase', 'featuredproducts_area', 'Sub Heading Style');

$wp_customize->add_setting('feaproduct_subtitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'feaproduct_subtitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'featuredproducts_area', // Replace with your actual section ID
    'settings' => 'feaproduct_subtitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );



lzCustomLable($wp_customize, 'feaproduct_headingcase', 'featuredproducts_area', 'Heading Style');

$wp_customize->add_setting('feaproduct_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'feaproduct_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'featuredproducts_area', // Replace with your actual section ID
    'settings' => 'feaproduct_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );

lzCustomLable($wp_customize, 'feature_headingtxt', 'featuredproducts_area', 'Section Sub Heading And Heading');

$wp_customize->add_setting(
        'featuredproductsubtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'OUR PRICING', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'featuredproductsubtitle',
        array(
            'settings'      => 'featuredproductsubtitle',
            'section'       => 'featuredproducts_area',
            'type'          => 'text',
            'label'         => __( 'Sub Heading', 'luzuk-premium' )
        )
    );


addColorPalatOption($wp_customize, 'feaproductsec_subtitleClr', 'featuredproducts_area', 'Sub Heading Color', '#7FDB54');

$wp_customize->add_setting(
    'featureproduct_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Service package pricing', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featureproduct_title',
    array(
        'settings'      => 'featureproduct_title',
        'section'       => 'featuredproducts_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'feaproductsec_headingClr', 'featuredproducts_area', 'Heading Color', '#000');

lzCustomLable($wp_customize, 'feaproductsec_Clr', 'featuredproducts_area', 'Section Color ');

addColorPalatOption($wp_customize, 'feaproductsec_bxbgClr', 'featuredproducts_area', 'Box BG Color', '#1f2130');

addColorPalatOption($wp_customize, 'feaproductsec_bximgbgClr', 'featuredproducts_area', 'Box Image BG Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_titlebgClr', 'featuredproducts_area', 'Title BG Color', '#7FDB54');

addColorPalatOption($wp_customize, 'feaproductsec_titleClr', 'featuredproducts_area', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'feaproductsec_priceClr', 'featuredproducts_area', 'Price Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_txtClr', 'featuredproducts_area', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_librdClr', 'featuredproducts_area', 'List Border Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_litxtClr', 'featuredproducts_area', 'List Text Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_liicnClr', 'featuredproducts_area', 'List Icon Color', '#fff');

lzCustomLable($wp_customize, 'featuredproducts_areabxbutton', 'featuredproducts_area', 'Box Button');

$wp_customize->add_setting(
    'button_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Get A Plan', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'button_text',
    array(
        'settings'      => 'button_text',
        'section'       => 'featuredproducts_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'feaproductsec_btntxtClr', 'featuredproducts_area', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'feaproductsec_btnbgClr', 'featuredproducts_area', 'Button BG Color', '#7FDB54');

addColorPalatOption($wp_customize, 'feaproductsec_btnbrdClr', 'featuredproducts_area', 'Button Border Color', '#7FDB54');

lzCustomLable($wp_customize, 'feaproductsec_1stbxClr', 'featuredproducts_area', '1st Box Color ');

addColorPalatOption($wp_customize, 'feaproductsec_1titbgClr', 'featuredproducts_area', 'Title BG Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_1btnbgClr', 'featuredproducts_area', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_1btnbrdClr', 'featuredproducts_area', 'Button Border Color', '#fff');

lzCustomLable($wp_customize, 'feaproductsec_3rdbxClr', 'featuredproducts_area', '3rd Box Color ');

addColorPalatOption($wp_customize, 'feaproductsec_3rdbxbgClr', 'featuredproducts_area', 'Box BG Color', '#f9f9f9');

addColorPalatOption($wp_customize, 'feaproductsec_3rdtitleClr', 'featuredproducts_area', 'Title Color 1', '#6FCC43');
addColorPalatOption($wp_customize, 'feaproductsec_3rdtitle2Clr', 'featuredproducts_area', 'Title Color 2', '#000');

addColorPalatOption($wp_customize, 'feaproductsec_3rdtxtClr', 'featuredproducts_area', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_3rdlibrdClr', 'featuredproducts_area', 'List Border Color', '#000');

addColorPalatOption($wp_customize, 'feaproductsec_3rdlitxtClr', 'featuredproducts_area', 'List Text Color', '#000');

addColorPalatOption($wp_customize, 'feaproductsec_3rdliicnClr', 'featuredproducts_area', 'List Icon Color', '#000');

addColorPalatOption($wp_customize, 'feaproductsec_3rdbtnbgClr', 'featuredproducts_area', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'feaproductsec_3rdbtnbrdClr', 'featuredproducts_area', 'Button Border Color', '#7FDB54');

addColorPalatOption($wp_customize, 'feaproductsec_3rdbtntxtClr', 'featuredproducts_area', 'Button Text Color', '#7FDB54');